Autor Tópico: Dica - Adicionando o repositório e instalando o balenaEtcher  (Lida 976 vezes)

Offline creto

  • Usuário BigLinux
  • Usuário Ubuntu
  • *
  • Mensagens: 550
  • Vivemos esperando dias melhores
    • Ver perfil
    • Blog do Creto
Dica - Adicionando o repositório e instalando o balenaEtcher
« Online: 29 de Abril de 2020, 19:55 »
Olá a todos,

O belenaEtcher é um criador de pendrive de boot muito bom multiplataforma, para adicionar o repositório dele e instalar no ubuntu e derivados vamos meter a mão no console

Abra o seu terminal e:

- Adicione o repositório debian do Etcher:
Código: [Selecionar]
echo deb https://deb.etcher.io stable etcher | sudo tee /etc/apt/sources.list.d/balena-etcher.list
- Adicionar a chave GPG:
Código: [Selecionar]
sudo apt-key adv --keyserver hkps://keyserver.ubuntu.com:443 --recv-keys 379CE192D401AB61
- Atualize os índices dos repositórios e instale:
Código: [Selecionar]
sudo apt update ; sudo apt install balena-etcher-electron
- Removendo:
Código: [Selecionar]
sudo apt remove balena-etcher-electron ; sudo rm /etc/apt/sources.list.d/balena-etcher.list ; sudo apt update
Fonte: "Github | balenaEtcher"

- Fórum do BigLinux

Espero ter sido útil de alguma forma

T+
Perguntas-me qual foi o meu progresso? Comecei a ser amigo de mim mesmo. (Lúcio Aneu Séneca)
Blog do Paulo Corrêa Creto

Offline flavioml

  • Usuário Ubuntu
  • *
  • Mensagens: 113
    • Ver perfil
Re:Dica - Adicionando o repositório e instalando o balenaEtcher
« Resposta #1 Online: 01 de Maio de 2020, 15:19 »
Qual a versão do Ubuntu? Coincidentemente, hoje, no Kubuntu 20.04, tentei  instalar o Etcher pelo repositório mas deu ruim. Ao comandar sudo apt-get update obtive erros com o repositório não encontrado. Penso que não há ainda um repositório focal fossa. Tive que instalar via appimage.
Flavio ML

Offline creto

  • Usuário BigLinux
  • Usuário Ubuntu
  • *
  • Mensagens: 550
  • Vivemos esperando dias melhores
    • Ver perfil
    • Blog do Creto
Re:Dica - Adicionando o repositório e instalando o balenaEtcher
« Resposta #2 Online: 01 de Maio de 2020, 15:51 »
Olá,

Código: [Selecionar]
creto@creto:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    BigLinux based in Ubuntu 20.04
Release:        20.04
Codename:       focal
creto@creto:~$
BigLinux based no ubuntu 20.04

Como pode ver agora aqui tudo normal:

Add o repositório
Código: [Selecionar]
creto@creto:~$ echo deb https://deb.etcher.io stable etcher | sudo tee /etc/apt/sources.list.d/balena-etcher.list
[sudo] senha para creto:
deb https://deb.etcher.io stable etcher
creto@creto:~

Add a chave GPG
Código: [Selecionar]
creto@creto:~$ sudo apt-key adv --keyserver hkps://keyserver.ubuntu.com:443 --recv-keys 379CE192D401AB61
Executing: /tmp/user/0/apt-key-gpghome.9teVciZasw/gpg.1.sh --keyserver hkps://keyserver.ubuntu.com:443 --recv-keys 379CE192D401AB61
gpg: chave 379CE192D401AB61: chave pública "Bintray (by JFrog) <bintray@bintray.com>" importada
gpg: Número total processado: 1
gpg:               importados: 1
creto@creto:~$

Atualizado a lista e instalando
Código: [Selecionar]
creto@creto:~$ sudo apt update ; sudo apt install balena-etcher-electron
Ign:1 http://dl.google.com/linux/chrome/deb stable InRelease
Ign:2 http://linux.dropbox.com/ubuntu cosmic InRelease       
Atingido:3 http://deb.xanmod.org releases InRelease         
Ign:4 http://biglinux.lua.im/mirror/biglinux/packages focal InRelease
Atingido:5 https://download.onlyoffice.com/repo/debian squeeze InRelease
Obter:7 http://linux.dropbox.com/ubuntu cosmic Release [6.600 B]
Atingido:8 http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu disco InRelease
Atingido:9 http://dl.google.com/linux/chrome/deb stable Release
Atingido:10 http://archive.canonical.com/ubuntu focal InRelease
Obter:11 http://cloudfront.debian.net/debian-security buster/updates InRelease [65,4 kB]
Atingido:12 https://brave-browser-apt-release.s3.brave.com disco InRelease
Atingido:13 http://biglinux.lua.im/mirror/biglinux/packages focal Release
Atingido:14 https://deb.opera.com/opera-stable stable InRelease
Atingido:15 http://ppa.launchpad.net/lutris-team/lutris/ubuntu eoan InRelease
Atingido:16 http://ubuntu.lua.im/ubuntu focal InRelease     
Obter:17 http://ubuntu.lua.im/ubuntu focal-updates InRelease [106 kB]
Atingido:18 https://shop.softmaker.com/repo/apt wheezy InRelease
Obter:19 http://ubuntu.lua.im/ubuntu focal-security InRelease [107 kB]
Ign:6 https://dl.bintray.com/etcher/debian stable InRelease
Obter:20 https://dl.bintray.com/etcher/debian stable Release [3.674 B]
Obter:22 https://dl.bintray.com/etcher/debian stable Release.gpg [821 B]
Obter:24 http://cloudfront.debian.net/debian-security buster/updates/main amd64 Packages [193 kB]
Obter:26 http://ubuntu.lua.im/ubuntu focal-updates/main amd64 Packages [35,5 kB]
Obter:27 http://ubuntu.lua.im/ubuntu focal-updates/main amd64 DEP-11 Metadata [14,6 kB]
Obter:28 http://ubuntu.lua.im/ubuntu focal-updates/universe i386 Packages [10,5 kB]
Obter:29 http://ubuntu.lua.im/ubuntu focal-updates/universe amd64 Packages [12,3 kB]
Obter:30 http://ubuntu.lua.im/ubuntu focal-updates/universe amd64 DEP-11 Metadata [212 B]
Obter:31 http://ubuntu.lua.im/ubuntu focal-security/main amd64 DEP-11 Metadata [14,6 kB]
Obter:32 http://ubuntu.lua.im/ubuntu focal-security/universe amd64 DEP-11 Metadata [208 B]
Obter:33 https://dl.bintray.com/etcher/debian stable/etcher i386 Packages [3.451 B]
Obter:34 https://dl.bintray.com/etcher/debian stable/etcher amd64 Packages [3.355 B]
Baixados 577 kB em 9s (61,6 kB/s)                           
Lendo listas de pacotes... Pronto
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
The following additional packages will be installed:
  gconf-service gconf-service-backend gconf2 gconf2-common
  libappindicator1 libdbusmenu-gtk4 libgconf-2-4
Pacotes sugeridos:
  gconf-defaults-service indicator-application
Os NOVOS pacotes a seguir serão instalados:
  balena-etcher-electron gconf-service gconf-service-backend
  gconf2 gconf2-common libappindicator1 libdbusmenu-gtk4
  libgconf-2-4
0 pacotes atualizados, 8 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
É preciso baixar 88,5 MB de arquivos.
Depois desta operação, 292 MB adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] S
Obter:2 http://ubuntu.lua.im/ubuntu focal/universe amd64 gconf2-common all 3.2.6-6ubuntu1 [698 kB]
Obter:1 https://dl.bintray.com/etcher/debian stable/etcher amd64 balena-etcher-electron amd64 1.5.76 [87,5 MB]
Obter:3 http://ubuntu.lua.im/ubuntu focal/universe amd64 libgconf-2-4 amd64 3.2.6-6ubuntu1 [84,8 kB]
Obter:4 http://ubuntu.lua.im/ubuntu focal/universe amd64 gconf-service-backend amd64 3.2.6-6ubuntu1 [58,6 kB]
Obter:5 http://ubuntu.lua.im/ubuntu focal/universe amd64 gconf-service amd64 3.2.6-6ubuntu1 [17,4 kB]
Obter:6 http://ubuntu.lua.im/ubuntu focal/universe amd64 gconf2 amd64 3.2.6-6ubuntu1 [83,0 kB]
Obter:7 http://ubuntu.lua.im/ubuntu focal/universe amd64 libdbusmenu-gtk4 amd64 16.04.1+18.10.20180917-0ubuntu6 [27,5 kB]
Obter:8 http://ubuntu.lua.im/ubuntu focal/universe amd64 libappindicator1 amd64 12.10.1+20.04.20200408.1-0ubuntu1 [22,8 kB]
Baixados 88,5 MB em 17s (5.066 kB/s)                         
A seleccionar pacote anteriormente não seleccionado gconf2-common.
(Lendo banco de dados ... 244092 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../0-gconf2-common_3.2.6-6ubuntu1_all.deb ...
A descompactar gconf2-common (3.2.6-6ubuntu1) ...
A seleccionar pacote anteriormente não seleccionado libgconf-2-4:amd64.
A preparar para desempacotar .../1-libgconf-2-4_3.2.6-6ubuntu1_amd64.deb ...
A descompactar libgconf-2-4:amd64 (3.2.6-6ubuntu1) ...
A seleccionar pacote anteriormente não seleccionado gconf-service-backend.
A preparar para desempacotar .../2-gconf-service-backend_3.2.6-6ubuntu1_amd64.deb ...
A descompactar gconf-service-backend (3.2.6-6ubuntu1) ...
A seleccionar pacote anteriormente não seleccionado gconf-service.
A preparar para desempacotar .../3-gconf-service_3.2.6-6ubuntu1_amd64.deb ...
A descompactar gconf-service (3.2.6-6ubuntu1) ...
A seleccionar pacote anteriormente não seleccionado gconf2.
A preparar para desempacotar .../4-gconf2_3.2.6-6ubuntu1_amd64.deb ...
A descompactar gconf2 (3.2.6-6ubuntu1) ...
A seleccionar pacote anteriormente não seleccionado libdbusmenu-gtk4:amd64.
A preparar para desempacotar .../5-libdbusmenu-gtk4_16.04.1+18.10.20180917-0ubuntu6_amd64.deb ...
A descompactar libdbusmenu-gtk4:amd64 (16.04.1+18.10.20180917-0ubuntu6) ...
A seleccionar pacote anteriormente não seleccionado libappindicator1.
A preparar para desempacotar .../6-libappindicator1_12.10.1+20.04.20200408.1-0ubuntu1_amd64.deb ...
A descompactar libappindicator1 (12.10.1+20.04.20200408.1-0ubuntu1) ...
A seleccionar pacote anteriormente não seleccionado balena-etcher-electron.
A preparar para desempacotar .../7-balena-etcher-electron_1.5.76_amd64.deb ...
A descompactar balena-etcher-electron (1.5.76) ...
Configurando gconf2-common (3.2.6-6ubuntu1) ...

O arquivo de configuração '/etc/X11/Xsession.d/70gconfd_path-on-session' não existe no sistema.
Instalando novo arquivo de configuração como você pediu.

O arquivo de configuração '/etc/gconf/2/evoldap.conf' não existe no sistema.
Instalando novo arquivo de configuração como você pediu.

Creating config file /etc/gconf/2/path with new version
Configurando libdbusmenu-gtk4:amd64 (16.04.1+18.10.20180917-0ubuntu6) ...
Configurando libgconf-2-4:amd64 (3.2.6-6ubuntu1) ...
Configurando libappindicator1 (12.10.1+20.04.20200408.1-0ubuntu1) ...
Configurando gconf-service-backend (3.2.6-6ubuntu1) ...
Configurando gconf-service (3.2.6-6ubuntu1) ...
Configurando gconf2 (3.2.6-6ubuntu1) ...

O arquivo de configuração '/etc/xdg/autostart/gsettings-data-convert.desktop' não existe no sistema.
Instalando novo arquivo de configuração como você pediu.
Configurando balena-etcher-electron (1.5.76) ...
Could not parse file "/usr/share/applications/obconf-qt.desktop": Key file does not start with a group
Could not parse file "/usr/share/applications/pcmanfm-qt-desktop-pref.desktop": Key file does not start with a group
Could not parse file "/usr/share/applications/pcmanfm-qt.desktop": Key file does not start with a group
Could not parse file "/usr/share/applications/compton-conf.desktop": Key file does not start with a group
A processar 'triggers' para desktop-file-utils (0.24-1ubuntu2) ...
A processar 'triggers' para mime-support (3.64ubuntu1) ...
A processar 'triggers' para hicolor-icon-theme (0.17-2) ...
A processar 'triggers' para libc-bin (2.31-0ubuntu9) ...
creto@creto:~$


Clique nas imagens para ampliar

T+
« Última modificação: 01 de Maio de 2020, 15:53 por creto »
Perguntas-me qual foi o meu progresso? Comecei a ser amigo de mim mesmo. (Lúcio Aneu Séneca)
Blog do Paulo Corrêa Creto